summaryrefslogtreecommitdiffstats
path: root/source/n/rsync/rsync.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/rsync/rsync.SlackBuild')
-rwxr-xr-xsource/n/rsync/rsync.SlackBuild4
1 files changed, 3 insertions, 1 deletions
diff --git a/source/n/rsync/rsync.SlackBuild b/source/n/rsync/rsync.SlackBuild
index ab36eed73..07fbb1a87 100755
--- a/source/n/rsync/rsync.SlackBuild
+++ b/source/n/rsync/rsync.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=rsync
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -66,6 +66,8 @@ rm -rf rsync-$VERSION
tar xvf $CWD/rsync-$VERSION.tar.?z || exit 1
cd rsync-$VERSION || exit 1
+zcat $CWD/rsync.no_lchmod.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \